﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;
using System.Text.RegularExpressions;
using System.Windows;
using System.Windows.Input;

namespace WpfInterface
{
    /// <summary>
    /// Interaction logic for EnterNamePopUp.xaml
    /// </summary>
    public partial class InputPopUp : PopUp
    {
        internal struct InputData
        {
            internal string Message;
            internal string InitialInput;
            internal string NegativeButtonTitle;
            internal string PositiveButtonTitle;
        }

        public InputPopUp()
        {
            InitializeComponent();
        }

        internal InputPopUp(InputData inputData) : this()
        {
            MessageTextBlock.Text = inputData.Message;
            MessageTextBox.Text = inputData.InitialInput;
            PositiveButton.Content = inputData.PositiveButtonTitle;
            NegativeButton.Content = inputData.NegativeButtonTitle;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            SetResultFromSenderTag((FrameworkElement)sender);
        }

        private void MessageTextBox_PreviewTextInput(object sender, TextCompositionEventArgs e)
        {
            e.Handled = new Regex(@"[^a-zA-Z0-9\s]").IsMatch(e.Text);
        }
    }
}
